Welcome!

Please read this important information about Spectre and Meltdown vulnerabilities.
Please read this important information about MX sources lists.
News
  • MX Linux on social media: here
  • Mepis support still here
Current releases
  • MX-17 Final release info here
  • MX-16.1 release info here
  • antiX-17 release info here
    New users
    • Please read this first, and don't forget to add system and hardware information to posts!
    • Read Forum Rules

Installing PonyProg2000-2.08c.tar.gz to mx-16.1

Message
Author
tom13
Forum Novice
Forum  Novice
Posts: 23
Joined: Thu Apr 28, 2016 11:08 am

Installing PonyProg2000-2.08c.tar.gz to mx-16.1

#1 Postby tom13 » Tue Oct 03, 2017 11:57 am

Hello everybody...I'm trying to install PonyProg to mx-16.1.but I don't know how to handle tar.gz files and install software out of them.I did extract downloaded tar.gz file,and start terminal out of the extracted folder,but when I try "./configure" "make",or "sudo make install",it returns with errors.Could somebody,please,help me with this installation,or just direct me to the place where I could ask for help?Thanks in advance...

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 14431
Age: 59
Joined: Fri Dec 15, 2006 8:07 pm

Re: Installing PonyProg2000-2.08c.tar.gz to mx-16.1

#2 Postby Stevo » Tue Oct 03, 2017 1:20 pm

Well, for solving those specific errors, you will have to be more specific about them, such as providing the full text output. But the instructions say to follow the INSTALL file directions in the source, which lists certain build-depends that you need to install that are not in a default MX 16, so that's probably at the root of the errors.

You may also want to try to use checkinstall to install the program after the build. At least then it will be tracked in the package manager and can be easily removed.

skidoo
Forum Regular
Forum Regular
Posts: 685
Joined: Tue Sep 22, 2015 6:56 pm

Re: Installing PonyProg2000-2.08c.tar.gz to mx-16.1

#3 Postby skidoo » Tue Oct 03, 2017 1:56 pm

http://www.lancos.com/ppwin95.html
https://sourceforge.net/projects/ponyprog/files/PonyProg%20sources/
shows latest version as 2.08d (mentioning this in case you accidentally chose 2.08c download)

websearch "debian PonyProg" quickly found pages instructing howto for ubuntu (the instructions might not be exactly applicable, but close)
http://www.upubuntu.com/2015/08/how-to-install-ponyprog-serial-device.html
https://onetransistor.blogspot.com/2014/07/compiling-ponyprog-in-ubuntu-1404.html

Elsewhere, I read that debian package "libxaw7-dev" must be installed. X11 Athena Widget library (development headers)

Separate from the task of compiling, the project docs mention its use depends on presence of certain kernel modules
http://www.lancos.com/e2p/ponyprog2000.html
If you want to use parallel port interfaces without run PonyProg as root you need also a 2.4.x kernel and parport, parport_pc and ppdev kernel modules. insmod all three modules before to execute PonyProg.
If you want to use serial port interfaces be sure you have the rights to read/write the /dev/ttySx devices and /var/lock directory. With RedHat you may want to add your user to uucp group.


In case PonyProg doesn't suit, you might check out the alternative "Uisp" utility: http://savannah.nongnu.org/projects/uisp/

skidoo
Forum Regular
Forum Regular
Posts: 685
Joined: Tue Sep 22, 2015 6:56 pm

Re: Installing PonyProg2000-2.08c.tar.gz to mx-16.1

#4 Postby skidoo » Tue Oct 03, 2017 2:11 pm

brand new (uploaded today)
https://sourceforge.net/projects/ponyprog/files/Ubuntu16.04/

I retrieved the debfile and checked ~~ gdebi reports the package would be installable in antiX16
Package: ponyprog
Version: 3.0.0
Section: devel
Priority: optional
Architecture: amd64
Depends: libc6 (>= 2.15), libqtcore4 (>= 4:4.7.0~beta1), libqtgui4 (>= 4:4.7.0~beta1), libstdc++6 (>= 4.1.1)
Installed-Size: 1599
Maintainer: Claudio Lanconelli <PonyProg2000@gmail.com>
Description: EEPROM and microcontroller flasher
EEPROM and microcontroller flasher for PIC, Atmega and other chips

tom13
Forum Novice
Forum  Novice
Posts: 23
Joined: Thu Apr 28, 2016 11:08 am

Re: Installing PonyProg2000-2.08c.tar.gz to mx-16.1

#5 Postby tom13 » Tue Oct 03, 2017 2:29 pm

Thank you Stevo and Skidoo for trying to help me.I just downloaded newest 3.0.0 version,it's a deb file made for arm64,and my pc is 32bit,so it seems that I'm out of luck with this one too....Now I will try to post outputs I get,so you can see what's wrong with my installation process...

tom13
Forum Novice
Forum  Novice
Posts: 23
Joined: Thu Apr 28, 2016 11:08 am

Re: Installing PonyProg2000-2.08c.tar.gz to mx-16.1

#6 Postby tom13 » Tue Oct 03, 2017 2:33 pm

Thank you Stevo and Skidoo for trying to help me.I just downloaded newest 3.0.0 version,it's a deb file made for arm64,and my pc is 32bit,so it seems that I'm out of luck with this one too....Now I will try to post outputs I get,so you can see what's wrong with my installation process...

skidoo
Forum Regular
Forum Regular
Posts: 685
Joined: Tue Sep 22, 2015 6:56 pm

Re: Installing PonyProg2000-2.08c.tar.gz to mx-16.1

#7 Postby skidoo » Tue Oct 03, 2017 2:51 pm

it's a deb file made for arm64
it is for amd64 platform
my pc is 32bit
ah, okay, post (to pastebin.com, and provide a link) the terminal output showing the compiler errors

User avatar
timkb4cq
Forum Veteran
Forum Veteran
Posts: 4032
Joined: Wed Jul 12, 2006 4:05 pm

Re: Installing PonyProg2000-2.08c.tar.gz to mx-16.1

#8 Postby timkb4cq » Tue Oct 03, 2017 2:54 pm

2.08d builds fine for me here. But I found the 3.0 source code.
https://github.com/lancos/ponyprog/arch ... 0.0.tar.gz
I'll see about building that on 32bit.
MSI 970A-G43 MB, AMD FX-6300 (six core), 16GB RAM, GeForce 730, Samsung 850 EVO 250GB SSD, Seagate Barracuda XT 3TB

tom13
Forum Novice
Forum  Novice
Posts: 23
Joined: Thu Apr 28, 2016 11:08 am

Re: Installing PonyProg2000-2.08c.tar.gz to mx-16.1

#9 Postby tom13 » Tue Oct 03, 2017 3:09 pm

https://pastebin.com/HyNd3aQ3
Here is the link to pastebin.com,this time it seems that compiling of Ponyprog went well,but the rest of the process didn't.I'm still missing something,maybe some of the dependencies?

tom13
Forum Novice
Forum  Novice
Posts: 23
Joined: Thu Apr 28, 2016 11:08 am

Re: Installing PonyProg2000-2.08c.tar.gz to mx-16.1

#10 Postby tom13 » Tue Oct 03, 2017 3:12 pm

Thanks also to you Timkb4cq...


Return to “Installation”

Who is online

Users browsing this forum: No registered users and 3 guests